io_uring_prep_getxattr(3)

NAME
io_uring_prep_getxattr, io_uring_prep_fgetxattr - prepare a request to get an extended attribute value

SYNOPSIS
#include <liburing.h>

void io_uring_prep_getxattr(struct io_uring_sqe *sqe,
                            const char *name,
                            char *value,
                            const char *path,
                            unsigned int len);

void io_uring_prep_fgetxattr(struct io_uring_sqe *sqe,
                             int fd,
                             const char *name,
                             char *value,
                             unsigned int len);

DESCRIPTION

The io_uring_prep_getxattr(3) function prepares a request to get an extended attribute value. The submission queue entry sqe is setup to get the value of the extended attribute identified by name and associated with the given path in the filesystem. The len argument specifies the size (in bytes) of value. io_uring_prep_fgetxattr(3) is identical to io_uring_prep_getxattr(3), only the open file referred to by fd is interrogated in place of path. This function prepares an async getxattr(2) request. See that man page for details.

RETURN VALUE
None

SEE ALSO
io_uring_get_sqe(3), getxattr(2)